<?php
/*
Plugin Name: WP  Social Bookmark Menu - (aka:J. SexyBookmarks)
Plugin URI: http://kachibito.net/wordpress/japanese-sbm-plugin-sexybookmarks.html
Description: 日本のSBMボタンを表示するプラグイン。オリジナルは <a href="options-general.php?page=wp-social-bookmark-menu.php">configuration panel</a>。
Version: 1.0.0
Author: kachiaru
Author URI: http://kachibito.net/

Disclaimer: Use at your own risk. No warranty expressed or implied is provided.
 
	Original Plugin Core Copyright 2009 Saidmade srl (email : g.fazioli@saidmade.com)
	Social Bookmarking Menu Copyright 2009 Eight7Teen (email : josh@eight7teen.com)
	Additional Special Thanks Goes To Kieran Smith (email : undisclosed)

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
	
	
	CHANGE LOG

	* 1.0		Initial release
	* 1.1		Added Twitter to the list, also added more admin options
	* 1.1.1		Added a custom CSS section for styling the container DIV
	* 1.1.2		Fixed issue with custom css section overlapping icons in options page, also added custom background styles to the container DIV
	* 1.1.3		Fixed bug that caused pages to disappear, also now plugin only displays on single posts
	* 1.1.4		Resolved issue that caused the menu to be placed at top of post even if "below post" was chosen

*/
/*

GPLライセンスに従い、改変箇所を明記します
変更者：高橋　
ライセンス：GPL

・ダッシュボード内コメントを日本語に変換
・60行のarray()内を変更
・148～161行のspan class名を変更、ブックマークサービスサイトへのリンクを追加
・192～231行のURLコードを変更、title=""内を変更
・273～287行のcssを変更
・同梱のcssを変更
・Read meを一部変更

※このソフトウェアが原因でのいかなる障害も製作者は責任を負いません。
※全て自己責任でご利用下さい。
※リンクの義務はありません。再配布もGPLに基づいた条件下でしたら自由です。
※このソフトウェアを改変し、再配布する際は変更箇所を明記してください。

以上 2009/03/06

cssを修正
ie6の非表示のバグを修正

以上　2009/08/03

*/
define('PLUGINNAME','WP Social Bookmark Menu');
define('OPTIONS','WP Social Bookmark Menu');
define('vNum','1.1.4');
define('PLUGPATH',get_option('siteurl').'/wp-content/plugins/'.plugin_basename(dirname(__FILE__)).'/');




//add defaults to an array
$plugopts = array(
'position' => 'below','bookmark','reloption','targetopt','xtrastyle'=> array('sphinn','Google','delicious','pookmark','choix','buzzurl','yahoo','hatena','technorati','livedoor','newsing','nifty','facebook','twitter')
);

//add 2 db
add_option(OPTIONS, $plugopts);

//reload
$plugopts = get_option(OPTIONS);

//add sidebar link to settings page
function menu_link() {
	if (function_exists('add_options_page')) {
		add_options_page('WP Social Bookmark Menu', 'WP Social Bookmark Menu', 8, basename(__FILE__), 'settings_page');
 }
}

//write settings page
function settings_page() {
	global $plugopts, $_POST;
	$status_message = "";
	if(isset($_POST['save_changes'])) {
		$status_message = '変更は保存されました.';
		
	//was there an error?
	if($_POST['position'] == '') {		
		$status_message = 'オプションが設定されていません。設定をチェックしてください。';
		} 
		else {
		$plugopts['position'] = $_POST['position'];
		$plugopts['xtrastyle'] = $_POST['xtrastyle'];
		$plugopts['reloption'] = $_POST['reloption'];
		$plugopts['targetopt'] = $_POST['targetopt'];
		$plugopts['bookmark'] = $_POST['bookmark'];
		update_option(OPTIONS, $plugopts);
  }
}

//if there was an error,
//display it in that fancy fading div
if($status_message != '') 
	echo '<div id="message" class="updated fade"><p>'.$status_message.'</p></div>';
?>

<div class="wrap">
 <h2 class="sexy">SexyBookmarks</h2>
 <form name="wp-social-bookmark-menu" id="wp-social-bookmark-menu" action="" method="post">
 <div style="position:relative;top:0;left:0;margin:18px 0 10px 0;">
  <strong><label for="xtrastyle">ここでメニューをデザインしているDIVを変更する事が出来ます:</label></strong><br />
  <textarea name="xtrastyle" id="xtrastyle" cols="65" rows="8" style="text-indent:0;"><?php if ( $plugopts['xtrastyle'] != '' ) { echo $plugopts['xtrastyle']; } else { echo 'background:url('.plugins_url('wp-social-bookmark-menu/sexy-trans.png').') no-repeat left bottom;'."\n".'margin:0 !important;'."\n".'padding:25px 0 0 10px !important;'."\n".'width:100% !important;'."\n".'height:29px;/*the height of the icons (29px)*/'."\n".'display:block !important;'."\n".'clear:both !important;';} ?></textarea>
 </div>
 <input type="hidden" name="save_changes" value="1" />
 <table width="380px" cellpadding="4" cellspacing="0">
  <tr>
   <td><br /><br /></td>
  </tr>
  <tr>
   <td align="left" valign="top" nowrap><strong><label for="position">表示場所:</label></strong> </td>
   <td>
    <input <?php echo (($plugopts['position'] == "above")? 'checked="checked"' : ""); ?> name="position" id="position" type="radio" value="above" /> 記事の最初<br />
    <input <?php echo (($plugopts['position'] == "below")? 'checked="checked"' : ""); ?> name="position" id="position" type="radio" value="below" /> 記事の最後
   </td>
  </tr>
  <tr>
   <td><br /><br /></td>
  </tr>
  <tr>
   <td align="left" valign="top" nowrap>
    <strong><label for="position">リンクにnofollowを加えますか? </label></strong>
   </td>
   <td>
    &nbsp;<input <?php echo (($plugopts['reloption'] == "nofollow")? 'checked="checked"' : ""); ?> name="reloption" id="reloption" type="radio" value="nofollow" /> Yes 
    &nbsp;<input <?php echo (($plugopts['reloption'] == "")? 'checked="checked"' : ""); ?> name="reloption" id="reloption" type="radio" value="" /> No 
   </td>
  </tr>
  <tr><td><br /><br /></td></tr>
  <tr>
   <td align="left" valign="top" nowrap>
    <strong><label for="position">別窓で開きますか? </label></strong>
   </td>
   <td>
    &nbsp;<input <?php echo (($plugopts['targetopt'] == "_blank")? 'checked="checked"' : ""); ?> name="targetopt" id="targetopt" type="radio" value="_blank" /> Yes 
    &nbsp;<input <?php echo (($plugopts['targetopt'] == "_self")? 'checked="checked"' : ""); ?> name="targetopt" id="targetopt" type="radio" value="_self" /> No 
   </td>
  </tr>
  <tr>
   <td><br /><br /></td>
  </tr>
  <tr>
   <td align="left" valign="top" nowrap><strong><label for="position">お好みで選択してください:</label></strong> </td>
   <td>
    <span class="sphinn"></span> <input <?php echo (@in_array("sphinn", $plugopts['bookmark'])? 'checked="checked"' : ""); ?> name="bookmark[]" id="bookmark[]" type="checkbox" value="sphinn" /> <a href="http://www.sphinn.jp/faq.php" target="_blank">Sphinn Japan</a> <br />
    <span class="Google"></span> <input <?php echo (@in_array("Google", $plugopts['bookmark'])? 'checked="checked"' : ""); ?> name="bookmark[]" id="bookmark[]" type="checkbox" value="Google" /> Google <br />
    <span class="delicious"></span> <input <?php echo (@in_array("delicious", $plugopts['bookmark'])? 'checked="checked"' : ""); ?> name="bookmark[]" id="bookmark[]" type="checkbox" value="delicious" /> <a href="https://secure.delicious.com/register" target="_blank">del.icio.us</a> <br />
    <span class="pookmark"></span> <input <?php echo (@in_array("pookmark", $plugopts['bookmark'])? 'checked="checked"' : ""); ?> name="bookmark[]" id="bookmark[]" type="checkbox" value="pookmark" /> <a href="http://pookmark.jp/login?url=http%3A%2F%2Fpookmark.jp%2Fhome" target="_blank">Pookmark</a> <br />
    <span class="choix"></span> <input <?php echo (@in_array("choix", $plugopts['bookmark'])? 'checked="checked"' : ""); ?> name="bookmark[]" id="bookmark[]" type="checkbox" value="choix" /> <a href="http://www.choix.jp/whatchoix" target="_blank">choix</a> <br />
    <span class="buzzurl"></span> <input <?php echo (@in_array("buzzurl", $plugopts['bookmark'])? 'checked="checked"' : ""); ?> name="bookmark[]" id="bookmark[]" type="checkbox" value="buzzurl" /> <a href="http://buzzurl.jp/guide" target="_blank">Buzzurl</a> <br />
    <span class="yahoo"></span> <input <?php echo (@in_array("yahoo", $plugopts['bookmark'])? 'checked="checked"' : ""); ?> name="bookmark[]" id="bookmark[]" type="checkbox" value="yahoo" /> Yahoo Japan <br />
    <span class="hatena"></span> <input <?php echo (@in_array("hatena", $plugopts['bookmark'])? 'checked="checked"' : ""); ?> name="bookmark[]" id="bookmark[]" type="checkbox" value="hatena" /> <a href="http://b.hatena.ne.jp/guide/start" target="_blank">はてなブックマーク</a> <br />
    <span class="technorati"></span> <input <?php echo (@in_array("technorati", $plugopts['bookmark'])? 'checked="checked"' : ""); ?> name="bookmark[]" id="bookmark[]" type="checkbox" value="technorati" /> <a href="https://www.technorati.jp/account/signup/?r=20090305" target="_blank">Technorati</a> <br />
    <span class="livedoor"></span> <input <?php echo (@in_array("livedoor", $plugopts['bookmark'])? 'checked="checked"' : ""); ?> name="bookmark[]" id="bookmark[]" type="checkbox" value="livedoor" /> <a href="http://clip.livedoor.com/guide/" target="_blank">Livedoorクリップ</a> <br />
    <span class="newsing"></span> <input <?php echo (@in_array("newsing", $plugopts['bookmark'])? 'checked="checked"' : ""); ?> name="bookmark[]" id="bookmark[]" type="checkbox" value="newsing" /> <a href="http://newsing.jp/about" target="_blank">newsing</a> <br />
    <span class="nifty"></span> <input <?php echo (@in_array("nifty", $plugopts['bookmark'])? 'checked="checked"' : ""); ?> name="bookmark[]" id="bookmark[]" type="checkbox" value="nifty" /> <a href="http://clip.nifty.com/help/about.html" target="_blank">niftyクリップ</a> <br />
    <span class="facebook"></span> <input <?php echo (@in_array("facebook", $plugopts['bookmark'])? 'checked="checked"' : ""); ?> name="bookmark[]" id="bookmark[]" type="checkbox" value="facebook" /> <a href="http://ja-jp.facebook.com/" target="_blank">Facebook</a> <br />
	<span class="twitter"></span> <input <?php echo (@in_array("twitter", $plugopts['bookmark'])? 'checked="checked"' : ""); ?> name="bookmark[]" id="bookmark[]" type="checkbox" value="twitter" /> <a href="http://twitter.com/home" target="_blank">Twitter</a> <br />
   </td>
  <tr>
   <td><br /><br /></td>
  </tr>
  <tr>  
   <td colspan="2"><div class="submit"><input type="submit" value="変更を保存" /></div></td>
  </tr>
</table>
</form>
<p>※基本的に自己責任でご利用下さい。ライセンスはGNU General Public Licensです。<br />
</p>
</div>

<?php

}//closing brace for function "settings_page"


//define a few variables
function position_menu($post_content) {
	global $plugopts;
	$relopt = $plugopts['reloption'];
	$tarwin = $plugopts['targetopt'];
	$title = urlencode(get_the_title());
	$perms = get_permalink();

	//write the menu
	$socials = '<div class="sexy-bookmarks" style="'.__($plugopts['xtrastyle']).'"><ul class="socials">'.
	(in_array("sphinn", $plugopts['bookmark'])?
	'<li class="sphinn"><a href="http://www.sphinn.jp//submit.php?url='.$perms.'&amp;title='.$title.'" target="'.$tarwin.'" rel="'.$relopt.'" title="Submit Sphinn Japan"> </a></li>' : '').
	
	(in_array("Google", $plugopts['bookmark'])?
	'<li class="Google"><a href="http://www.google.com/bookmarks/mark?op=edit&bkmk='.$perms.'&amp;title='.$title.'" target="'.$tarwin.'" rel="'.$relopt.'" title="Google"> </a></li>' : '').
	
	(in_array("delicious", $plugopts['bookmark'])?
	'<li class="delicious"><a href="http://del.icio.us/post?url='.$perms.'&amp;title='.$title.'" target="'.$tarwin.'" rel="'.$relopt.'" title="Share this on delicious"> </a></li>' : '').
	
	(in_array("pookmark", $plugopts['bookmark'])?
	'<li class="pookmark"><a href="http://pookmark.jp/post?url='.$perms.'&amp;title='.$title.'" target="'.$tarwin.'" rel="'.$relopt.'" title="pookmark this!"> </a></li>' : '').
	
	(in_array("choix", $plugopts['bookmark'])?
	'<li class="choix"><a href="http://www.choix.jp/bloglink/'.$perms.'" target="'.$tarwin.'" rel="'.$relopt.'" title="choixに投稿"> </a></li>' : '').
	
	(in_array("buzzurl", $plugopts['bookmark'])?
	'<li class="buzzurl"><a href="http://buzzurl.jp/config/add/confirm?url='.$perms.'&amp;title='.$title.'" target="'.$tarwin.'" rel="'.$relopt.'" title="buzzurl"> </a></li>' : '').
	
	(in_array("yahoo", $plugopts['bookmark'])?
	'<li class="yahoo"><a href="http://bookmarks.yahoo.co.jp/bookmarklet/showpopup?ei=UTF-8&u='.$perms.'&amp;t='.$title.'" target="'.$tarwin.'" rel="'.$relopt.'" title="Yahoo Japanにブックマーク"> </a></li>' : '').
	
	(in_array("hatena", $plugopts['bookmark'])?
	'<li class="hatena"><a href="http://b.hatena.ne.jp/add?mode=confirm&url='.$perms.'&amp;title='.$title.'" target="'.$tarwin.'" rel="'.$relopt.'" title="はてブする"> </a></li>' : '').

	(in_array("technorati", $plugopts['bookmark'])?
	'<li class="technorati"><a href="http://technorati.com/faves?add='.$perms.'" target="'.$tarwin.'" rel="'.$relopt.'" title="Share this on Technorati"> </a></li>' : '').
	
	(in_array("livedoor", $plugopts['bookmark'])?
	'<li class="livedoor"><a href="http://clip.livedoor.com/redirect?link='.$perms.'&amp;amp;title='.$title.'" target="'.$tarwin.'" rel="'.$relopt.'" title="livedoorクリップ"> </a></li>' : '').
	
	(in_array("newsing", $plugopts['bookmark'])?
	'<li class="newsing"><a href="http://newsing.jp/nbutton?title='.$title.'&amp;url='.$perms.'" target="'.$tarwin.'" rel="'.$relopt.'" title="newsingにピックアップ"> </a></li>' : '').
	
	(in_array("nifty", $plugopts['bookmark'])?
	'<li class="nifty"><a href="http://clip.nifty.com/create?url='.$perms.'&amp;amp;title='.$title.'" target="'.$tarwin.'" rel="'.$relopt.'" title="niftyクリップ"> </a><br /></li>' : '').
	
	(in_array("facebook", $plugopts['bookmark'])?
	'<li class="facebook"><a href="http://www.facebook.com/share.php?u='.$perms.'&amp;amp;t='.$title.'" target="'.$tarwin.'" rel="'.$relopt.'" title="Share this on Facebook"> </a></li>' : '').

	(in_array("twitter", $plugopts['bookmark'])?
	'<li class="twitter"><a href="http://www.twitter.com/home?status=RT:+'.$perms.'" target="'.$tarwin.'" rel="'.$relopt.'" title="Tweet This!"> </a></li>' : '').
	
	'</ul></div>';
	if(is_single() & $plugopts['position'] == "above") return $socials.$post_content;
	elseif(is_single() & $plugopts['position'] == "below") return $post_content.$socials;
	else return $post_content;
}


//write the <head> code
add_action('wp_head', 'add_styles');
function add_styles() {

 if(@file_exists(PLUGPATH.'/style.css')) {
  wp_register_style('sexy-bookmarks', get_stylesheet_directory_uri().'/style.css', false, vNum, 'all');
} else {
  wp_register_style('sexy-bookmarks', plugins_url('wp-social-bookmark-menu/style.css'), false, vNum, 'all');
}
  wp_print_styles('sexy-bookmarks');
 echo '<!-- End Of Code Generated By WP Social Bookmark Menu '.vNum.' -->'."\n";
}

//styles for admin area
function sexy_admin() {
echo "<style type='text/css'>
h2.sexy {
display:inline;
width:auto;
padding-left:15px;
background:url(".PLUGPATH."icon.png) no-repeat left 15px;
}
form#wp-social-bookmark-menu span {
background:url(".PLUGPATH."sprite-trans.png) no-repeat;
display:inline-block;
height:29px;
width:50px;
}	
span.sphinn { background-position:-400px bottom !important; }
span.livedoor { background-position:-250px bottom !important; }
span.facebook { background-position:-450px bottom !important; }
span.flickr { background-position:-250px bottom !important; }
span.newsing { background-position:-200px bottom !important; }
span.Google { background-position:-600px bottom !important; }
span.yahoo { background-position:-650px bottom !important; }
span.delicious { background-position:left bottom !important; }
span.hatena { background-position:-50px bottom !important; }
span.buzzurl { background-position:-100px bottom !important; }
span.pookmark { background-position:-500px bottom !important; }
span.choix { background-position:-300px bottom !important; }
span.twitter { background-position:-350px bottom !important; }
span.technorati { background-position:-700px bottom !important; }
span.nifty { background-position:-550px bottom !important; }
</style>";


}
add_action('admin_head', 'sexy_admin');
add_action('admin_menu', 'menu_link');
add_filter('the_content', 'position_menu');
?>